aboutsummaryrefslogtreecommitdiffstats
path: root/script-pgaas-deb-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'script-pgaas-deb-build.sh')
-rwxr-xr-xscript-pgaas-deb-build.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/script-pgaas-deb-build.sh b/script-pgaas-deb-build.sh
index 3869117..3c10a3a 100755
--- a/script-pgaas-deb-build.sh
+++ b/script-pgaas-deb-build.sh
@@ -1,19 +1,17 @@
#!/bin/bash
# Create a debian package and push to remote repo
-if [ "$#" != "1" ]; then
- phase="verify"
-else
- phase="$1"
- case $phase in
- verify|merge|release)
- echo "Running $phase job"
- ;;
- *)
- echo "Unknown phase $phase"
- exit 1
- esac
-fi
+[ "$#" != "1" ] && set -- verify
+phase="$1"
+case $phase in
+ verify|merge|release)
+ echo "Running $phase job"
+ ;;
+ *)
+ echo "Unknown phase $phase"
+ exit 1
+ ;;
+esac
#
@@ -41,7 +39,11 @@ export REPACKAGEDEBIANUPLOAD="set -x; curl -k --netrc-file '${NETRC}' \
--upload-file '{0}' '${REPO}/{2}/{1}'"
export REPACKAGEDEBIANUPLOAD2="set -x; curl -k --netrc-file '${NETRC}' \
--upload-file '{0}' '${REPO}/{2}/{4}-LATEST.deb'"
-make debian
+case "$phase" in
+ verify ) make debian-verify ;;
+ merge ) make debian ;;
+ release ) make debian ;;
+esac
echo "================= ENDING SCRIPT TO CREATE DEBIAN FILES ================="